import { QueryOptions, ReturnTypeFunc } from '@rezonate/graphql';
import { ResolverMethodOpts } from './resolver-method.decorator';
export interface QueryResolverMethodOpts extends ResolverMethodOpts {
    withDeleted?: boolean;
}
/**
 * @internal
 * Decorator for a graphql `query` endpoint.
 * @param typeFunc - A function that returns the return type for the query.
 * @param options - `@rezonate/graphql` options to apply to the mutation.
 * @param opts -  [[ResolverMethodOpts]] to apply to the mutation
 */
export declare function ResolverQuery(typeFunc: ReturnTypeFunc, options?: QueryOptions, ...opts: QueryResolverMethodOpts[]): MethodDecorator;
